App\Library\Amazon\Classes\Calculator:
    xml_root_name: Calculator
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\Calculator\VariationDataAType
        includesRechargableBattery:
            expose: true
            access_type: public_method
            serialized_name: IncludesRechargableBattery
            accessor:
                getter: getIncludesRechargableBattery
                setter: setIncludesRechargableBattery
            type: boolean
        color:
            expose: true
            access_type: public_method
            serialized_name: Color
            accessor:
                getter: getColor
                setter: setColor
            type: string
